Subject: Re: [PATCH V4 3/3] ARM: dts: imx53: Add Menlosystems M53 board

From: Shawn Guo <[email-masked]>
Date: Thu, 11 Apr 2019 09:49:10 +0800

On Tue, Apr 09, 2019 at 02:49:58PM +0200, Marek Vasut wrote:
> On 3/29/19 3:47 AM, Shawn Guo wrote:
> > On Tue, Mar 26, 2019 at 05:44:41PM +0100, Marek Vasut wrote:
> >> On 3/26/19 9:42 AM, Shawn Guo wrote:
> >>> On Thu, Mar 21, 2019 at 03:56:55AM +0100, Marek Vasut wrote:
> >>>> Add device tree for the Menlosystems board based on i.MX53 M53 SoM.
> >>>>
> >>>> Signed-off-by: Marek Vasut <[email-masked]>
> >>>> Cc: Shawn Guo <[email-masked]>
> >>>> Cc: Fabio Estevam <[email-masked]>
> >>>> Cc: NXP Linux Team <[email-masked]>
> >>>> To: [email-masked]
> >>>> ---
> >>>> V2: - Rebase on latest next/master
> >>>> V3: - Add vendor specific compatible for the platform
> >>>>     - Rename ledgrp and touchscreen nodes to follow DT spec
> >>>>     - Update pinmux (LVDS has no pin config, so use default settings)
> >>>> V4: - Add fsl.yaml entry
> >>>>     - Pull regulator out of simple bus
> >>>>     - Rename touchscreen@ node
> >>>>     - Add reg entry to lvds-channel@0
> >>>>     - Fix touchscreen interrupt polarity
> >>>> ---
> >>>>  .../devicetree/bindings/arm/fsl.yaml          |   1 +
> >>>
> >>> We need to make the bindings a separate patch and be ACK-ed by DT folks.
> >>
> >> Sure.
> >>
> >>>>  arch/arm/boot/dts/Makefile                    |   1 +
> >>>>  arch/arm/boot/dts/imx53-m53menlo.dts          | 310 ++++++++++++++++++
> >>>>  3 files changed, 312 insertions(+)
> >>>>  create mode 100644 arch/arm/boot/dts/imx53-m53menlo.dts
> >>>>
> >>
> >> [...]
> >>
> >>>> +		pinctrl_lvds0: lvds0grp {
> >>>> +			fsl,pins = <
> >>>> +				MX53_PAD_LVDS0_CLK_P__LDB_LVDS0_CLK	0x80000000
> >>>> +				MX53_PAD_LVDS0_TX0_P__LDB_LVDS0_TX0	0x80000000
> >>>> +				MX53_PAD_LVDS0_TX1_P__LDB_LVDS0_TX1	0x80000000
> >>>> +				MX53_PAD_LVDS0_TX2_P__LDB_LVDS0_TX2	0x80000000
> >>>> +				MX53_PAD_LVDS0_TX3_P__LDB_LVDS0_TX3	0x80000000
> >>>
> >>> Please have proper pad configurations rather than relying on the
> >>> settings out of reset or set up by bootloader.
> >>
> >> Do you have an example LVDS configuration for the MX53 ? I didn't find
> >> one, all the other boards just leave the LVDS line configuration in
> >> default settings.
> > 
> > Sorry, I do not.  If your bootloader doesn't touch the settings, you may
> > just need to code the reset values from reference manual here?
> 
> The reference manual only indicates there's a MUX_MODE bit for those
> signals, there are no other configuration values. So I presume this is
> actually correct ?

Configuring the pads with unknown values is not a correct thing to me.
Again, we are trying to get away from using 0x80000000, so please do not
introduce more.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel